package com.zioinfo.cms.banner.mapper;

import com.zioinfo.cms.banner.CmsBanner;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BannerMapper {
    List<CmsBanner> findAll(@Param("bannerType") String bannerType, @Param("position") String position);
    List<CmsBanner> findActiveNow(@Param("position") String position);
    CmsBanner findById(@Param("id") Long id);
    int insert(CmsBanner b);
    int update(CmsBanner b);
    int delete(@Param("id") Long id);
}
